# WorkflowGraph

class `propertyestimator.workflow.``WorkflowGraph`(root_directory='')

  A hierarchical structure for storing and submitting the workflows which will estimate a set of physical properties..

  `__init__`(root_directory='')

    Constructs a new WorkflowGraph

    Parameters

      root_directory (str) – The root directory in which to store all outputs from this graph.

  Methods

  `__init__`([root_directory]) | Constructs a new WorkflowGraph
  `add_workflow`(workflow) | Insert a workflow into the workflow graph.
  `submit`(backend[, include_uncertainty_check]) | Submits the protocol graph to the backend of choice.

  `add_workflow`(workflow)

    Insert a workflow into the workflow graph.

    Parameters

      workflow (Workflow) – The workflow to insert.

  `submit`(backend, include_uncertainty_check=True)

    Submits the protocol graph to the backend of choice.

    Parameters

      - backend (PropertyEstimatorBackend) – The backend to execute the graph on.

      - include_uncertainty_check (bool) – If true, the uncertainty of each estimated property will be checked to ensure it is below the target threshold set in the workflow metadata. If an uncertainty is not included in the workflow metadata, then this parameter will be ignored.

    Returns

      The futures of the submitted protocols.

    Return type

      list of Future